package com.example.web;

import javax.servlet.http.HttpServletRequest;
import org.apache.struts2.interceptor.ServletConfigInterceptor;

import com.opensymphony.xwork2.ActionContext;
import com.opensymphony.xwork2.ActionInvocation;

public class MyConfigInterceptor extends ServletConfigInterceptor {

	/**
	 * gets the <code>HttpServletRequest</code> from <code>context</code> and
	 * makes <code>Action</code> aware of the intercepted request
	 */
	private static final long serialVersionUID = 1L;

	@Override
	public String intercept(ActionInvocation invocation) throws Exception {
		BeerSelectAction action = (BeerSelectAction) invocation.getAction();
		ActionContext context = ActionContext.getContext();
		HttpServletRequest request = (HttpServletRequest) context
				.get(HTTP_REQUEST);
		action.setServletRequest(request);
		return super.intercept(invocation);
	}

}
